Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3._2005._05.xmlmime
Class Base64Binary

    java.lang.Object
      org.w3._2005._05.xmlmime.Base64Binary

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:49:32+02:00",
               comments="JAXB RI v2.2.11")
    public class Base64Binary

extends Object
implements Serializable

Java class for base64Binary complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="base64Binary">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
           <attribute ref="{http://www.w3.org/2005/05/xmlmime}contentType"/>
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Base64Binary()`

Method Summary
`String` | `getContentType()` Gets the value of the contentType property.
`byte[]` | `getValue()` Gets the value of the value property.
`void` | `setContentType(String value)` Sets the value of the contentType property.
`void` | `setValue(byte[] value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64Binary

    public Base64Binary()

Method Detail

### getValue

    public byte[] getValue()

  Gets the value of the value property.

  Returns:
    possible object is byte[]

### setValue

    public void setValue(byte[] value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is byte[]

### getContentType

    public String getContentType()

  Gets the value of the contentType property.

  Returns:
    possible object is `String`

### setContentType

    public void setContentType(String value)

  Sets the value of the contentType property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.